uIP 1.0: apps/telnetd/shell.h File Reference

- Main Page
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

# apps/telnetd/shell.h File Reference

## Detailed Description

Interface for the Contiki shell.

Author:
  Adam Dunkels <adam@dunkels.com>

Some of the functions declared in this file must be implemented as a shell back-end in the architecture specific files of a Contiki port.

Definition in file shell.h.

Go to the source code of this file.

## Functions

void | shell_init (void)
| Initialize the shell.
void | shell_start (void)
| Start the shell back-end.
void | shell_input (char *command)
| Process a shell command.
void | shell_quit (char *)
| Quit the shell.
void | shell_output (char *str1, char *str2)
| Print a string to the shell window.
void | shell_prompt (char *prompt)
| Print a prompt to the shell window.

## Function Documentation

void shell_init | ( | void |  | ) |

Initialize the shell.

Called when the shell front-end process starts. This function may be used to start listening for signals.

Examples:
  telnetd.c.

Definition at line 105 of file shell.c.

References shell_init().

Referenced by shell_init().

void shell_input | ( | char * | command | ) |

Process a shell command.

This function will be called by the shell GUI / telnet server whan a command has been entered that should be processed by the shell back-end.

Parameters:

  | command | The command to be processed.

Examples:
  telnetd.c.

Definition at line 118 of file shell.c.

References shell_input().

Referenced by shell_input().

void shell_output | ( | char * | str1,
|  | char * | str2
| ) |

Print a string to the shell window.

This function is implemented by the shell GUI / telnet server and can be called by the shell back-end to output a string in the shell window. The string is automatically appended with a linebreak.

Parameters:

  | str1 | The first half of the string to be output.
  | str2 | The second half of the string to be output.

Examples:
  telnetd.c.

Definition at line 113 of file telnetd.c.

References ISO_cr, ISO_nl, and NULL.

void shell_prompt | ( | char * | prompt | ) |

Print a prompt to the shell window.

This function can be used by the shell back-end to print out a prompt to the shell window.

Parameters:

  | prompt | The prompt to be printed.

Examples:
  telnetd.c.

Definition at line 101 of file telnetd.c.

References NULL.

void shell_start | ( | void |  | ) |

Start the shell back-end.

Called by the front-end when a new shell is started.

Examples:
  telnetd.c.

Definition at line 110 of file shell.c.

References shell_start().

Referenced by shell_start().